Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Removed dependancy upon eventmachine #4

Merged
merged 1 commit into from

2 participants

@njh

eventmachine is no-longer used by the pusher-client gem, so I have removed the dependancy.

@logankoester logankoester merged commit 3d38c8b into logankoester:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
Showing with 0 additions and 7 deletions.
  1. +0 −1  Gemfile
  2. +0 −3  Gemfile.lock
  3. +0 −3  pusher-client.gemspec
View
1  Gemfile
@@ -1,6 +1,5 @@
source "http://rubygems.org"
-gem "eventmachine", "~>0.12.10"
gem "libwebsocket", "~>0.1.0"
group :development do
View
3  Gemfile.lock
@@ -2,8 +2,6 @@ GEM
remote: http://rubygems.org/
specs:
bacon (1.1.0)
- eventmachine (0.12.10)
- eventmachine (0.12.10-java)
git (1.2.5)
jeweler (1.5.2)
bundler (~> 1.0.0)
@@ -21,7 +19,6 @@ PLATFORMS
DEPENDENCIES
bacon
bundler (~> 1.0.0)
- eventmachine (~> 0.12.10)
jeweler (~> 1.5.2)
libwebsocket (~> 0.1.0)
rcov
View
3  pusher-client.gemspec
@@ -53,14 +53,12 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<eventmachine>, ["~> 0.12.10"])
s.add_runtime_dependency(%q<libwebsocket>, ["~> 0.1.0"])
s.add_development_dependency(%q<bacon>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rcov>, [">= 0"])
else
- s.add_dependency(%q<eventmachine>, ["~> 0.12.10"])
s.add_dependency(%q<libwebsocket>, ["~> 0.1.0"])
s.add_dependency(%q<bacon>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
@@ -68,7 +66,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<rcov>, [">= 0"])
end
else
- s.add_dependency(%q<eventmachine>, ["~> 0.12.10"])
s.add_dependency(%q<libwebsocket>, ["~> 0.1.0"])
s.add_dependency(%q<bacon>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
Something went wrong with that request. Please try again.